Pastebin launched a little side project called VERYVIRAL.com, check it out ;-) Want more features on Pastebin? Sign Up, it's FREE!
Guest

pykde ghost40k

By: a guest on Aug 12th, 2010  |  syntax: Bash  |  size: 16.00 KB  |  views: 104  |  expires: Never
download  |  raw  |  embed  |  report abuse  |  print
Text below is selected. Please press Ctrl+C to copy to your clipboard. (⌘+C on Mac)
  1. emerge -avDuN @world
  2.  
  3. These are the packages that would be merged, in order:
  4.  
  5. Calculating dependencies... done!
  6. [ebuild  N    ] kde-base/pykde4-4.5.0  USE="(-aqua) -debug -doc -examples (-kdeenablefinal) (-kdeprefix) -semantic-desktop" 0 kB [1]
  7. [ebuild  N    ] kde-base/printer-applet-4.5.0  USE="handbook (-aqua) (-kdeenablefinal) (-kdeprefix)" 0 kB [1]
  8. [ebuild  N    ] kde-base/system-config-printer-kde-4.5.0  USE="(-aqua) (-kdeenablefinal) (-kdeprefix)" 0 kB [1]
  9. [ebuild  N    ] kde-base/kajongg-4.5.0  USE="handbook (-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB [1]
  10. [ebuild  NS   ] kde-base/kdeutils-meta-4.5.0 [4.4.5] USE="cups (-aqua) -floppy (-kdeprefix)" 0 kB [1]
  11. [uninstall    ] kde-base/kdeutils-meta-4.4.5  USE="(-aqua) (-cups) -floppy (-kdeprefix) -lirc"  [0]
  12. [blocks b     ] kde-base/kdeutils-meta:4.4[-kdeprefix] ("kde-base/kdeutils-meta:4.4[-kdeprefix]" is blocking kde-base/kdeutils-meta-4.5.0)
  13. [blocks b     ] kde-base/kdeutils-meta:4.5[-kdeprefix] ("kde-base/kdeutils-meta:4.5[-kdeprefix]" is blocking kde-base/kdeutils-meta-4.4.5)
  14. [ebuild  NS   ] kde-base/kdeadmin-meta-4.5.0 [4.4.5] USE="cups (-aqua) (-kdeprefix)" 0 kB [1]
  15. [uninstall    ] kde-base/kdeadmin-meta-4.4.5  USE="(-aqua) (-cups) (-kdeprefix)"  [0]
  16. [blocks b     ] kde-base/kdeadmin-meta:4.4[-kdeprefix] ("kde-base/kdeadmin-meta:4.4[-kdeprefix]" is blocking kde-base/kdeadmin-meta-4.5.0)
  17. [blocks b     ] kde-base/kdeadmin-meta:4.5[-kdeprefix] ("kde-base/kdeadmin-meta:4.5[-kdeprefix]" is blocking kde-base/kdeadmin-meta-4.4.5)
  18. [ebuild  NS   ] kde-base/kdegames-meta-4.5.0 [4.4.5] USE="opengl python (-aqua) (-kdeprefix)" 0 kB [1]
  19. [uninstall    ] kde-base/kdegames-meta-4.4.5  USE="opengl (-aqua) (-kdeprefix)"  [0]
  20. [blocks b     ] kde-base/kdegames-meta:4.4[-kdeprefix] ("kde-base/kdegames-meta:4.4[-kdeprefix]" is blocking kde-base/kdegames-meta-4.5.0)
  21. [blocks b     ] kde-base/kdegames-meta:4.5[-kdeprefix] ("kde-base/kdegames-meta:4.5[-kdeprefix]" is blocking kde-base/kdegames-meta-4.4.5)
  22. [ebuild  NS   ] kde-base/kde-meta-4.5.0 [4.4.5] USE="accessibility nls (-aqua) (-kdeprefix) -sdk -semantic-desktop" 0 kB [1]
  23. [uninstall    ] kde-base/kde-meta-4.4.5  USE="accessibility nls (-aqua) (-kdeprefix) -sdk -semantic-desktop"  [0]
  24. [blocks b     ] kde-base/kde-meta:4.4[-kdeprefix] ("kde-base/kde-meta:4.4[-kdeprefix]" is blocking kde-base/kde-meta-4.5.0)
  25. [blocks b     ] kde-base/kde-meta:4.5[-kdeprefix] ("kde-base/kde-meta:4.5[-kdeprefix]" is blocking kde-base/kde-meta-4.4.5)
  26.  
  27. Total: 8 packages (4 new, 4 in new slots, 4 uninstalls), Size of downloads: 0 kB
  28. Conflict: 8 blocks
  29. Portage tree and overlays:
  30.  [0] /usr/portage
  31.  [1] /var/lib/layman/kde
  32.  
  33. !!! One or more updates have been skipped due to a dependency conflict:
  34.  
  35. x11-base/xorg-server:0
  36.  
  37.   ('ebuild', '/', 'x11-base/xorg-server-1.8.99.905', 'merge') conflicts with
  38.     <x11-base/xorg-server-1.8.99 required by ('installed', '/', 'x11-drivers/nvidia-drivers-256.44', 'nomerge')
  39.  
  40.  
  41. Would you like to merge these packages? [Yes/No] yes
  42.  
  43. >>> Verifying ebuild manifests
  44.  
  45. >>> Starting parallel fetch
  46.  
  47. >>> Emerging (1 of 8) kde-base/pykde4-4.5.0 from kde
  48.  * kdebindings-4.5.0.tar.bz2 RMD160 SHA1 SHA256 size ;-) ...             [ ok ]
  49.  * checking ebuild checksums ;-) ...                                     [ ok ]
  50.  * checking auxfile checksums ;-) ...                                    [ ok ]
  51.  * checking miscfile checksums ;-) ...                                   [ ok ]
  52.  * CPV:  kde-base/pykde4-4.5.0
  53.  * REPO: kde
  54.  * USE:  elibc_glibc kernel_linux userland_GNU x86
  55. >>> Unpacking source...
  56.  * Unpacking parts of kdebindings-4.5.0.tar.bz2 to /var/tmp/portage/kde-base/pykde4-4.5.0/work ...                                                     [ ok ]
  57. >>> Source unpacked in /var/tmp/portage/kde-base/pykde4-4.5.0/work
  58. >>> Preparing source in /var/tmp/portage/kde-base/pykde4-4.5.0/work/pykde4-4.5.0 ...
  59. >>> Source prepared.
  60. >>> Configuring source in /var/tmp/portage/kde-base/pykde4-4.5.0/work/pykde4-4.5.0 ...
  61. >>> Working in BUILD_DIR: "/var/tmp/portage/kde-base/pykde4-4.5.0/work/pykde4-4.5.0_build"
  62. cmake -C /var/tmp/portage/kde-base/pykde4-4.5.0/temp/gentoo_common_config.cmake -DCMAKE_INSTALL_PREFIX=/usr -DKDE4_BUILD_TESTS=OFF -DCMAKE_INSTALL_PREFIX=/usr -DSYSCONF_INSTALL_DIR=/etc -DWITH_QScintilla=OFF -DWITH_PolkitQt=OFF -DWITH_Soprano=OFF -DWITH_Nepomuk=OFF -DWITH_KdepimLibs=OFF -DCMAKE_BUILD_TYPE=Gentoo -DCMAKE_INSTALL_DO_STRIP=OFF -DCMAKE_USER_MAKE_RULES_OVERRIDE=/var/tmp/portage/kde-base/pykde4-4.5.0/temp/gentoo_rules.cmake  /var/tmp/portage/kde-base/pykde4-4.5.0/work/pykde4-4.5.0
  63. loading initial cache file /var/tmp/portage/kde-base/pykde4-4.5.0/temp/gentoo_common_config.cmake
  64. -- The C compiler identification is GNU
  65. -- The CXX compiler identification is GNU
  66. -- Check for working C compiler: /usr/bin/i686-pc-linux-gnu-gcc
  67. -- Check for working C compiler: /usr/bin/i686-pc-linux-gnu-gcc -- works
  68. -- Detecting C compiler ABI info
  69. -- Detecting C compiler ABI info - done
  70. -- Check for working CXX compiler: /usr/bin/i686-pc-linux-gnu-g++
  71. -- Check for working CXX compiler: /usr/bin/i686-pc-linux-gnu-g++ -- works
  72. -- Detecting CXX compiler ABI info
  73. -- Detecting CXX compiler ABI info - done
  74. -- Looking for Q_WS_X11
  75. -- Looking for Q_WS_X11 - found
  76. -- Looking for Q_WS_WIN
  77. -- Looking for Q_WS_WIN - not found.
  78. -- Looking for Q_WS_QWS
  79. -- Looking for Q_WS_QWS - not found.
  80. -- Looking for Q_WS_MAC
  81. -- Looking for Q_WS_MAC - not found.
  82. -- Found Qt-Version 4.7.0 (using /usr/bin/qmake)
  83. -- Looking for XOpenDisplay in /usr/lib/libX11.so;/usr/lib/libXext.so;/usr/lib/libXft.so;/usr/lib/libXau.so;/usr/lib/libXdmcp.so;/usr/lib/libXpm.so
  84. -- Looking for XOpenDisplay in /usr/lib/libX11.so;/usr/lib/libXext.so;/usr/lib/libXft.so;/usr/lib/libXau.so;/usr/lib/libXdmcp.so;/usr/lib/libXpm.so - found
  85. -- Looking for gethostbyname
  86. -- Looking for gethostbyname - found
  87. -- Looking for connect
  88. -- Looking for connect - found
  89. -- Looking for remove
  90. -- Looking for remove - found
  91. -- Looking for shmat
  92. -- Looking for shmat - found
  93. -- Looking for IceConnectionNumber in ICE
  94. -- Looking for IceConnectionNumber in ICE - found
  95. -- Found X11: /usr/lib/libX11.so
  96. -- Looking for include files CMAKE_HAVE_PTHREAD_H
  97. -- Looking for include files CMAKE_HAVE_PTHREAD_H - found
  98. -- Looking for pthread_create in pthreads
  99. -- Looking for pthread_create in pthreads - not found
  100. -- Looking for pthread_create in pthread
  101. -- Looking for pthread_create in pthread - found
  102. -- Found Threads: TRUE
  103. -- Looking for _POSIX_TIMERS
  104. -- Looking for _POSIX_TIMERS - found
  105. -- Found Automoc4: /usr/bin/automoc4
  106. -- Found Perl: /usr/bin/perl
  107. -- Found Phonon: /usr/include  (found version "4.4.2", required is "4.3.80")
  108. -- Performing Test _OFFT_IS_64BIT
  109. -- Performing Test _OFFT_IS_64BIT - Failed
  110. -- Performing Test HAVE_FPIE_SUPPORT
  111. -- Performing Test HAVE_FPIE_SUPPORT - Success
  112. -- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL
  113. -- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL - Success
  114. -- Performing Test __KDE_HAVE_GCC_VISIBILITY
  115. -- Performing Test __KDE_HAVE_GCC_VISIBILITY - Success
  116. -- Found KDE 4.5 include dir: /usr/include
  117. -- Found KDE 4.5 library dir: /usr/lib
  118. -- Found the KDE4 kconfig_compiler preprocessor: /usr/bin/kconfig_compiler
  119. -- Found automoc4: /usr/bin/automoc4
  120. -- Found LibAttica: /usr/lib/libattica.so
  121. -- Found QImageBlitz: /usr/include/qimageblitz
  122. -- Found Akonadi: /usr/lib/cmake/Akonadi/AkonadiConfig.cmake
  123. -- Found Okular: /usr/lib/libokularcore.so
  124. -- Found PythonInterp: /usr/bin/python
  125. -- Found Python executable: /usr/bin/python
  126. -- Found Python version: 3.1.2
  127. -- Found Python library: /usr/lib/libpython3.1.so
  128. -- Python Libraries: /usr/lib/libpython3.1.so
  129. -- Python Include Path: /usr/include/python3.1
  130. -- Build Kross Python... yes
  131. -- Found SIP version: 4.11-snapshot-052b642f04a8
  132. -- Found PyQt4 version: snapshot-4.7.5-8a6793a155e0
  133. -- Found Python executable: /usr/bin/python
  134. -- Found Python version: 3.1.2
  135. -- Found Python library: /usr/lib/libpython3.1.so
  136. -- Found PyQt4 version: snapshot-4.7.5-8a6793a155e0
  137. -- KDE_VERSION: 4.5.00
  138. -- KDE4_INCLUDE_DIR: /usr/include
  139. -- KDE4_LIB_DIR: /usr/lib
  140. -- PYTHON_SITE_PACKAGES_DIR: /usr/lib/python3.1/site-packages
  141. -- Build PyKDE4... yes
  142.  
  143. -----------------------------------------------------------------------------
  144. -- The following external packages were located on your system.
  145. -- This installation will have the extra features provided by these packages.
  146. -----------------------------------------------------------------------------
  147.    * libattica - LibAttica
  148.    * QImageBlitz - QImageBlitz library
  149.    * Phonon - Phonon multimedia framework
  150.    * Akonadi - Akonadi libraries
  151.    * Okular - Okular libraries
  152.  
  153. -----------------------------------------------------------------------------
  154. -- The following OPTIONAL packages could NOT be located on your system.
  155. -- Consider installing them to enable more features from this software.
  156. -----------------------------------------------------------------------------
  157.    * Qwt5 for Qt4  <http://qwt.sourceforge.net>
  158.      Qwt5 libraries for Qt4
  159.      Needed to compile Qwt5 bindings
  160.    * Soprano  <http://soprano.sourceforge.net>
  161.      Soprano libraries
  162.      Needed to compile Soprano bindings
  163.    * Nepomuk  <http://www.kde.org>
  164.      Nepomuk libraries
  165.      Needed to compile Nepomuk bindings
  166.    * kdepimlibs  <http://www.kde.org>
  167.      KDE PIM libraries
  168.      Needed to compile Akonadi bindings
  169.    * QScintilla2  <http://www.riverbankcomputing.co.uk/software/qscintilla/intro>
  170.      QScintilla2 libraries
  171.      Needed to compile QScintilla2 bindings
  172.    * Soprano  <kdesupport>
  173.      Soprano Libraries
  174.      Required for Soprano Python bindings.
  175.    * Nepomuk  <kdesupport>
  176.      Nepomuk Libraries
  177.      Required for Nepomuk Python bindings.
  178.    * Kdepimlibs  <kdepimlibs>
  179.      KDE pim Libraries
  180.      Required for Akonadi Python bindings.
  181.    * Polkit-Qt  <kdesupport>
  182.      Qt Wrapper around PolicyKit
  183.      Required to build PolicyKit-Qt support
  184.  
  185. -----------------------------------------------------------------------------
  186.  
  187. -- <<< Gentoo configuration >>>
  188. Build type      Gentoo
  189. Install path    /usr
  190. Compiler flags:
  191. C               -O2 -march=core2 -pipe -fomit-frame-pointer -mssse3  -Wno-long-long -std=iso9899:1990 -Wundef -Wcast-align -Werror-implicit-function-declaration -Wchar-subscripts -Wall -W -Wpointer-arith -Wwrite-strings -Wformat-security -Wmissing-format-attribute -fno-common
  192. C++             -O2 -march=core2 -pipe -fomit-frame-pointer -mssse3  -Wnon-virtual-dtor -Wno-long-long -ansi -Wundef -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -Wformat-security -fno-exceptions -DQT_NO_EXCEPTIONS -fno-check-new -fno-common -Woverloaded-virtual -fno-threadsafe-statics -fvisibility=hidden -fvisibility-inlines-hidden
  193. Linker flags:
  194. Executable      -Wl,--enable-new-dtags -Wl,-O1 -Wl,--as-needed
  195. Module          -Wl,--enable-new-dtags -Wl,--fatal-warnings -Wl,--no-undefined -lc -Wl,-O1 -Wl,--as-needed
  196. Shared          -Wl,--enable-new-dtags -Wl,--fatal-warnings -Wl,--no-undefined -lc -Wl,-O1 -Wl,--as-needed
  197.  
  198. -- Configuring done
  199. -- Generating done
  200. -- Build files have been written to: /var/tmp/portage/kde-base/pykde4-4.5.0/work/pykde4-4.5.0_build
  201. >>> Source configured.
  202. >>> Compiling source in /var/tmp/portage/kde-base/pykde4-4.5.0/work/pykde4-4.5.0 ...
  203. >>> Working in BUILD_DIR: "/var/tmp/portage/kde-base/pykde4-4.5.0/work/pykde4-4.5.0_build"
  204. make -j3
  205. [  1%] [  2%] Generating sip/dnssd/sipdnssdpart0.cpp, sip/dnssd/sipdnssdpart1.cpp, sip/dnssd/sipdnssdpart2.cpp, sip/dnssd/sipdnssdpart3.cpp, sip/dnssd/sipdnssdpart4.cpp, sip/dnssd/sipdnssdpart5.cpp, sip/dnssd/sipdnssdpart6.cpp, sip/dnssd/sipdnssdpart7.cpp
  206. Generating sip/kdecore/sipkdecorepart0.cpp, sip/kdecore/sipkdecorepart1.cpp, sip/kdecore/sipkdecorepart2.cpp, sip/kdecore/sipkdecorepart3.cpp, sip/kdecore/sipkdecorepart4.cpp, sip/kdecore/sipkdecorepart5.cpp, sip/kdecore/sipkdecorepart6.cpp, sip/kdecore/sipkdecorepart7.cpp
  207. Scanning dependencies of target compile_python_files
  208.  
  209.  
  210.  
  211.  
  212. [  2%] Built target compile_python_files
  213. [  3%] Generating sip/kdeui/sipkdeuipart0.cpp, sip/kdeui/sipkdeuipart1.cpp, sip/kdeui/sipkdeuipart2.cpp, sip/kdeui/sipkdeuipart3.cpp, sip/kdeui/sipkdeuipart4.cpp, sip/kdeui/sipkdeuipart5.cpp, sip/kdeui/sipkdeuipart6.cpp, sip/kdeui/sipkdeuipart7.cpp
  214.  
  215. sip: /var/tmp/portage/kde-base/pykde4-4.5.0/work/pykde4-4.5.0/python/pykde4/sip/kdecore/typedefs.sip:737: Mapped type has already been defined in another module
  216. make[2]: *** [python/pykde4/sip/kdecore/sipkdecorepart0.cpp] Error 1
  217. make[1]: *** [python/pykde4/CMakeFiles/python_module_PyKDE4_kdecore.dir/all] Error 2
  218. make[1]: *** Waiting for unfinished jobs....
  219. sip: /var/tmp/portage/kde-base/pykde4-4.5.0/work/pykde4-4.5.0/python/pykde4/sip/kdecore/typedefs.sip:737: Mapped type has already been defined in another module
  220. make[2]: *** [python/pykde4/sip/kdeui/sipkdeuipart0.cpp] Error 1
  221. make[1]: *** [python/pykde4/CMakeFiles/python_module_PyKDE4_kdeui.dir/all] Error 2
  222. sip: /var/tmp/portage/kde-base/pykde4-4.5.0/work/pykde4-4.5.0/python/pykde4/sip/kdecore/typedefs.sip:737: Mapped type has already been defined in another module
  223. make[2]: *** [python/pykde4/sip/dnssd/sipdnssdpart0.cpp] Error 1
  224. make[1]: *** [python/pykde4/CMakeFiles/python_module_PyKDE4_dnssd.dir/all] Error 2
  225. make: *** [all] Error 2
  226.  * ERROR: kde-base/pykde4-4.5.0 failed:
  227.  *   Make failed!
  228.  *
  229.  * Call stack:
  230.  *     ebuild.sh, line   48:  Called src_compile
  231.  *   environment, line 6341:  Called kde4-meta_src_compile
  232.  *   environment, line 3873:  Called kde4-base_src_compile
  233.  *   environment, line 3529:  Called cmake-utils_src_compile
  234.  *   environment, line 1720:  Called _execute_optionaly 'src_compile'
  235.  *   environment, line  631:  Called enable_cmake-utils_src_compile
  236.  *   environment, line 2089:  Called cmake-utils_src_make
  237.  *   environment, line 1739:  Called die
  238.  * The specific snippet of code:
  239.  *           emake "$@" || die "Make failed!";
  240.  *
  241.  * If you need support, post the output of 'emerge --info =kde-base/pykde4-4.5.0',
  242.  * the complete build log and the output of 'emerge -pqv =kde-base/pykde4-4.5.0'.
  243.  * This ebuild used the following eclasses from overlays:
  244.  *   /var/lib/layman/kde/eclass/kde4-meta.eclass
  245.  *   /var/lib/layman/kde/eclass/kde4-base.eclass
  246.  *   /var/lib/layman/kde/eclass/kde4-functions.eclass
  247.  *   /var/lib/layman/kde/eclass/cmake-utils.eclass
  248.  * This ebuild is from an overlay named 'kde': '/var/lib/layman/kde/'
  249.  * The complete build log is located at '/var/tmp/portage/kde-base/pykde4-4.5.0/temp/build.log'.
  250.  * The ebuild environment file is located at '/var/tmp/portage/kde-base/pykde4-4.5.0/temp/environment'.
  251.  * S: '/var/tmp/portage/kde-base/pykde4-4.5.0/work/pykde4-4.5.0'
  252.  
  253. >>> Failed to emerge kde-base/pykde4-4.5.0, Log file:
  254.  
  255. >>>  '/var/tmp/portage/kde-base/pykde4-4.5.0/temp/build.log'
  256.  
  257.  * Messages for package kde-base/pykde4-4.5.0:
  258.  
  259.  * ERROR: kde-base/pykde4-4.5.0 failed:
  260.  *   Make failed!
  261.  *
  262.  * Call stack:
  263.  *     ebuild.sh, line   48:  Called src_compile
  264.  *   environment, line 6341:  Called kde4-meta_src_compile
  265.  *   environment, line 3873:  Called kde4-base_src_compile
  266.  *   environment, line 3529:  Called cmake-utils_src_compile
  267.  *   environment, line 1720:  Called _execute_optionaly 'src_compile'
  268.  *   environment, line  631:  Called enable_cmake-utils_src_compile
  269.  *   environment, line 2089:  Called cmake-utils_src_make
  270.  *   environment, line 1739:  Called die
  271.  * The specific snippet of code:
  272.  *           emake "$@" || die "Make failed!";
  273.  *
  274.  * If you need support, post the output of 'emerge --info =kde-base/pykde4-4.5.0',
  275.  * the complete build log and the output of 'emerge -pqv =kde-base/pykde4-4.5.0'.
  276.  * This ebuild used the following eclasses from overlays:
  277.  *   /var/lib/layman/kde/eclass/kde4-meta.eclass
  278.  *   /var/lib/layman/kde/eclass/kde4-base.eclass
  279.  *   /var/lib/layman/kde/eclass/kde4-functions.eclass
  280.  *   /var/lib/layman/kde/eclass/cmake-utils.eclass
  281.  * This ebuild is from an overlay named 'kde': '/var/lib/layman/kde/'
  282.  * The complete build log is located at '/var/tmp/portage/kde-base/pykde4-4.5.0/temp/build.log'.
  283.  * The ebuild environment file is located at '/var/tmp/portage/kde-base/pykde4-4.5.0/temp/environment'.
  284.  * S: '/var/tmp/portage/kde-base/pykde4-4.5.0/work/pykde4-4.5.0'